Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class Error

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.Error

public class Error extends Object
Error

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Error()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Error`
  `code(String code)`
  Set the code of this `Error` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getCode()`
  Get code
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `Error`.
  `InnerError`
  `getInnerError()`
  Get innerError
  `String`
  `getMessage()`
  Get message
  `String`
  `getParam()`
  Get param
  `String`
  `getType()`
  Get type
  `int`
  `hashCode()`
  `Error`
  `innerError(InnerError innerError)`
  Set the innerError of this `Error` instance and return the same instance.
  `Error`
  `message(String message)`
  Set the message of this `Error` instance and return the same instance.
  `Error`
  `param(String param)`
  Set the param of this `Error` instance and return the same instance.
  `void`
  `setCode(String code)`
  Set the code of this `Error` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `Error` instance.
  `void`
  `setInnerError(InnerError innerError)`
  Set the innerError of this `Error` instance.
  `void`
  `setMessage(String message)`
  Set the message of this `Error` instance.
  `void`
  `setParam(String param)`
  Set the param of this `Error` instance.
  `void`
  `setType(String type)`
  Set the type of this `Error` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `Error` instance including unrecognized properties.
  `String`
  `toString()`
  `Error`
  `type(String type)`
  Set the type of this `Error` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Error

    public Error()

- ## Method Details

  - ### code

    @Nonnull public Error code(@Nullable String code)
    Set the code of this `Error` instance and return the same instance.
    Parameters:
      `code` - The code of this `Error`
    Returns:
      The same instance of this `Error` class

  - ### getCode

    @Nonnull public String getCode()
    Get code
    Returns:
      code The code of this `Error` instance.

  - ### setCode

    public void setCode(@Nullable String code)
    Set the code of this `Error` instance.
    Parameters:
      `code` - The code of this `Error`

  - ### message

    @Nonnull public Error message(@Nullable String message)
    Set the message of this `Error` instance and return the same instance.
    Parameters:
      `message` - The message of this `Error`
    Returns:
      The same instance of this `Error` class

  - ### getMessage

    @Nonnull public String getMessage()
    Get message
    Returns:
      message The message of this `Error` instance.

  - ### setMessage

    public void setMessage(@Nullable String message)
    Set the message of this `Error` instance.
    Parameters:
      `message` - The message of this `Error`

  - ### param

    @Nonnull public Error param(@Nullable String param)
    Set the param of this `Error` instance and return the same instance.
    Parameters:
      `param` - The param of this `Error`
    Returns:
      The same instance of this `Error` class

  - ### getParam

    @Nonnull public String getParam()
    Get param
    Returns:
      param The param of this `Error` instance.

  - ### setParam

    public void setParam(@Nullable String param)
    Set the param of this `Error` instance.
    Parameters:
      `param` - The param of this `Error`

  - ### type

    @Nonnull public Error type(@Nullable String type)
    Set the type of this `Error` instance and return the same instance.
    Parameters:
      `type` - The type of this `Error`
    Returns:
      The same instance of this `Error` class

  - ### getType

    @Nonnull public String getType()
    Get type
    Returns:
      type The type of this `Error` instance.

  - ### setType

    public void setType(@Nullable String type)
    Set the type of this `Error` instance.
    Parameters:
      `type` - The type of this `Error`

  - ### innerError

    @Nonnull public Error innerError(@Nullable InnerError innerError)
    Set the innerError of this `Error` instance and return the same instance.
    Parameters:
      `innerError` - The innerError of this `Error`
    Returns:
      The same instance of this `Error` class

  - ### getInnerError

    @Nonnull public InnerError getInnerError()
    Get innerError
    Returns:
      innerError The innerError of this `Error` instance.

  - ### setInnerError

    public void setInnerError(@Nullable InnerError innerError)
    Set the innerError of this `Error` instance.
    Parameters:
      `innerError` - The innerError of this `Error`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `Error`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `Error` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `Error` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `Error` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`